Name:           python-imaging
Summary:        Python's own image processing library.
Version:        1.1.4
Release:        2.fdr.1.3

License:        Freely Distributable
Group:          Development/Libraries
URL:            http://www.pythonware.com/products/pil/
Source:         http://effbot.org/downloads/Imaging-%{version}.tar.gz
Patch:          python-imaging.setup.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libjpeg-devel >= 6b
BuildRequires:  zlib-devel >= 1.1.2
BuildRequires:  libpng-devel >= 1.0.1 
BuildRequires:  python-devel
BuildRequires:  freetype-devel >= 2.1
BuildRequires:	perl

Requires:       python

Obsoletes:      PIL <= %{version}
Provides:       PIL = %{version}-%{release}

%description
The Python Imaging Library (PIL) adds image processing capabilities 
to your Python interpreter.

This library provides extensive file format support, an efficient
internal representation, and powerful image processing capabilities.

%prep
%setup -q -n Imaging-%{version}
%patch -p1
perl -pi.orig -e 's|^(#include <freetype/freetype.h>)$|#include <ft2build.h>\n$1|' _imagingft.c

%build
cd libImaging
%configure

make
cd ..

python setup.py build

%install
rm -fr $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, 0755)
%doc CHANGES* CONTENTS README Images/ Sane/ Scripts/
%{_libdir}/python?.?/site-packages/PIL
%{_libdir}/python?.?/site-packages/PIL.pth

%changelog
* Mon Oct 18 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 1.1.4-2.fdr.1: adapted for Fedora

* Sat Oct 16 2004 Johan Dahlin <johan@fluendo.com> - 1.1.4-2
- stole dags spec
- remove includes
- install in PIL/ with .pth
- install freetype bindings
- don't depend on doc package

* Mon Dec 08 2003 Dag Wieers <dag@wieers.com> - 1.1.4-1
- Fixed python location for RHFC1. (Ian Burrell)

* Mon Jun 30 2003 Dag Wieers <dag@wieers.com> - 1.1.4-0
- Updated to release 1.1.4.

* Sat Jan 04 2003 Dag Wieers <dag@wieers.com> - 1.1.3-0
- Initial package. (using DAR)

